package de.intevation.flys.client.client.ui;

import de.intevation.flys.client.shared.model.User;

public class UIProviderFactory {

    private UIProviderFactory() {
    }

    public static UIProvider getProvider(String uiProvider, User user) {
      System.out.println("Provider: " + uiProvider);
        if (uiProvider == null || uiProvider.equals("")) {
            return new SelectProvider();
        }
        else if (uiProvider.equals("select_with_map")) {
            return new MapSelection();
        }
        else if (uiProvider.equals("location_distance_panel")) {
            return new LocationDistancePanel();
        }
        else if (uiProvider.equals("location_panel")) {
            return new SingleLocationPanel();
        }
        else if (uiProvider.equals("distance_panel")) {
            return new DistancePanel();
        }
        else if (uiProvider.equals("waterlevel_ground_panel")) {
            return new WaterlevelGroundPanel();
        }
        else if (uiProvider.equals("wq_panel")) {
            return new WQInputPanel();
        }
        else if (uiProvider.equals("wq_panel_adapted")) {
            return new WQAdaptedInputPanel();
        }
        else if (uiProvider.equals("river_panel")) {
            return new LinkSelection();
        }
        else if (uiProvider.equals("continue")) {
            return new ContinuePanel();
        }
        else if (uiProvider.equals("wsp_datacage_panel")) {
            return new WspDatacagePanel(user);
        }
        else if (uiProvider.equals("dgm_datacage_panel")) {
            return new DemDatacagePanel(user);
        }
        else if (uiProvider.equals("datacage_twin_panel")) {
            return new DatacageTwinPanel(user);
        }
        else if (uiProvider.equals("auto_integer")) {
            return new AutoIntegerPanel();
        }
        else if (uiProvider.equals("boolean_panel")) {
            return new BooleanPanel();
        }
        else if (uiProvider.equals("noinput")) {
            return new NoInputPanel();
        }
        else if (uiProvider.equals("map_digitize")) {
            return new DigitizePanel();
        }
        else {
            return new SelectProvider();
        }
    }
}
